Subject: bug#38600: closed (Re: bug#38600: Unbound variable for some package --show invocations.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Dec 2019 09:43:02 +0000

Your bug report

#38600: Unbound variable for some package --show invocations.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38600: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38600
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38600: Unbound variable for some package --show invocations.
From: Efraim Flashner <[email-masked]>
To: Jacob MacDonald <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Dec 2019 11:41:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Dec 15, 2019 at 03:22:02PM -0800, Jacob MacDonald wrote:
> Yes, though interestingly I can't reproduce in a development tree at
> the commit used when I submitted the report
> (9f9520a1299fccd8508d03ce0c9280c6e0030207). In summary:
> 
> Error occurs:
> 1. In 9f9520a1299fccd8508d03ce0c9280c6e0030207
> 2. In 00386d3430f12710997f17091a55c07323ff138c
> 3. In 00386d3430f12710997f17091a55c07323ff138c after running guix pull
> once again (this did cause a rebuild of compute-guix-derivation)
> Error does not occur:
> In the Guix source tree (using the pre-inst-env script) @
> 9f9520a1299fccd8508d03ce0c9280c6e0030207
> 
> Would it be useful to compare the hashes for packages I build manually
> to hashes of the packages from the substitute server? If so, what
> packages should I check and what's the easiest way (and is guix
> challenge useful in this situation [forgive me, I'm pretty unfamiliar
> with debugging this kind of error in Guix])?

I think it's more likely that it's a transitive error and while it
shouldn't have happened it's probably not worth worrying about.

> 
> On Sun, Dec 15, 2019 at 8:38 AM Efraim Flashner <[email-masked]> wrote:
> >
> > If you run 'guix pull' again do you still get the same errors?
> >
> > --
> > Efraim Flashner   <[email-masked]>   אפרים פלשנר
> > GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> > Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: Unbound variable for some package --show invocations.
From: Jacob MacDonald <[email-masked]>
To: [email-masked]
Date: Fri, 13 Dec 2019 17:08:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Noticed the problem with cl-slime-swank, but seems to happen with a
variety of packages including sbcl-cl-uglify-js itself. I checked
javascript.scm, which does import lisp-xyz; Haven't done any deeper
debugging to discover possible causes.

Backtrace follows.

$ guix package --show=sbcl-cl-uglify-js
Backtrace:
In ice-9/boot-9.scm:
   222:29 19 (map1 (((gnu packages gettext)) ((gnu packages #)) (#) …))
   222:29 18 (map1 (((gnu packages ghostscript)) ((gnu packages …)) …))
   222:29 17 (map1 (((gnu packages gl)) ((gnu packages glib)) ((…)) …))
   222:29 16 (map1 (((gnu packages glib)) ((gnu packages gnome)) # …))
   222:29 15 (map1 (((gnu packages gnome)) ((gnu packages gnupg)) # …))
   222:29 14 (map1 (((gnu packages gnupg)) ((gnu packages #)) ((…)) …))
   222:29 13 (map1 (((gnu packages gstreamer)) ((gnu packages #)) # …))
   222:29 12 (map1 (((gnu packages gtk)) ((gnu packages image)) (#) …))
   222:29 11 (map1 (((gnu packages image)) ((gnu packages #)) ((…)) …))
   222:29 10 (map1 (((gnu packages imagemagick)) ((gnu packages …)) …))
   222:17  9 (map1 (((gnu packages javascript)) ((gnu packages #)) …))
  2800:17  8 (resolve-interface (gnu packages javascript) #:select _ …)
In ice-9/threads.scm:
    390:8  7 (_ _)
In ice-9/boot-9.scm:
  2726:13  6 (_)
In ice-9/threads.scm:
    390:8  5 (_ _)
In ice-9/boot-9.scm:
  2994:20  4 (_)
   2312:4  3 (save-module-excursion #<procedure 7fbf1f28b330 at ice-…>)
  3014:26  2 (_)
In unknown file:
           1 (primitive-load-path "gnu/packages/javascript" #<proced…>)
In gnu/packages/javascript.scm:
   460:10  0 (_)

gnu/packages/javascript.scm:460:10: error: sbcl-cl-uglify-js: unbound variable